ATMEL: sbc_st_std_inquiry_data Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# sbc_st_std_inquiry_data Struct Reference

`#include <scsi_decoder.h>`

## Data Fields

Byte | DeviceType: 5
Byte | PeripheralQualifier: 3
Byte | Reserved1: 7
Byte | RemovableMedia: 1
Byte | Version
Byte | Reserved3: 5
Byte | NormACA: 1
Byte | Obsolete0: 1
Byte | AERC: 1
Byte | Reserved4 [3]
Byte | SoftReset: 1
Byte | CommandQueue: 1
Byte | Reserved5: 1
Byte | LinkedCommands: 1
Byte | Synchronous: 1
Byte | Wide16Bit: 1
Byte | Wide32Bit: 1
Byte | RelativeAddressing: 1

## Detailed Description

Definition at line 279 of file scsi_decoder.h.

## Field Documentation

Byte sbc_st_std_inquiry_data::DeviceType

Definition at line 281 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::PeripheralQualifier

Definition at line 282 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Reserved1

Definition at line 284 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::RemovableMedia

Definition at line 285 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Version

Definition at line 287 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Reserved3

Definition at line 289 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::NormACA

Definition at line 290 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Obsolete0

Definition at line 291 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::AERC

Definition at line 292 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Reserved4[3]

Definition at line 294 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::SoftReset

Definition at line 296 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::CommandQueue

Definition at line 297 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Reserved5

Definition at line 298 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::LinkedCommands

Definition at line 299 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Synchronous

Definition at line 300 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Wide16Bit

Definition at line 301 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::Wide32Bit

Definition at line 302 of file scsi_decoder.h.

Byte sbc_st_std_inquiry_data::RelativeAddressing

Definition at line 303 of file scsi_decoder.h.

The documentation for this struct was generated from the following file:

- scsi_decoder.h